Subject: bug#24764: 25.1.50; Another crash in automatic gc

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 16:57:52 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 23 Oct 2016 13:00:32 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can you tell me some more details about those pages you browse?  Do
> > they have non-ASCII characters, for example?
> 
> Likely (though non-ASCII is probably not uncommon for web pages).
> 
> I'm quite sure it happened a lot of times when I tried to ask
> "http://www.dict.cc" for translations English<->German.
> 
> It also happened a lot for http://www.spektrum.de/...  hmm, aren't already
> German unmlauts non-ASCII?
> 
> But note that retrying (reloading the page) worked eventually in every
> case.

I've pushed a change to the emacs-25 branch to try to catch possible
relocation of buffer text while libxml2 is reading from it.  Can you
see if the assertion I added is violated when you visit those (or some
other) Web pages?